Games API
Games store the central results of a tournament. Depending on the tournament format Match Play stores result as either multi-player games or single player games
Get rounds
GET /api/tournaments/{tournamentId}/roundsRounds are collections of games played at the same time. They are also used in pingolf tournaments to represent a golf hole.
Get games
GET /api/gamesGames are multi-player games in direct play tournaments.
Query params
page (integer)
Which page of results to get
tournaments (string)
Comma-separated list of tournament ids to get games for. You must provide either tournaments or series. You may provide up to 25 tournament ids.
series (string)
Comma-separated list of tournament ids to get games for. You must provide either tournaments or series. You may provide up to 5 series ids.
ids (string)
Comma-separated list of game ids to fetch. You may provide up to 50 game ids.
status (string)
Game status to filter on. Value may be started or completed
round (integer)
Round id of round to filter on.
player (integer)
Player id of player to filter on.
arena (integer)
Arena id of arena to filter on.
bank (integer)
Bank id of bank to filter on.
Get single player games
Single player games are used in best game and pingolf tournaments.
Query params
page (integer)
Which page of results to get
limit (integer)
Number of games to get. Default is 25, max is 500.
sortBy (string)
How to sort games. Either score (the default) or createdAt (to get newest games first)
ids (string)
Comma-separated list of game ids to fetch. You may provide up to 50 game ids.
status (string)
Game status to filter on. Value may be pending, started or completed
bestGame (boolean)
Whether to only fetch games that are marked as a "best game"
voided (boolean)
Set to true to included voided games
round (integer)
Round id of round to filter on.
player (integer)
Player id of player to filter on.
arena (integer)
Arena id of arena to filter on.
Get cards
Cards are used in card-based best game tournaments.
Query params
page (integer)
Which page of results to get
limit (integer)
Number of games to get. Default is 25, max is 500.
status (string)
Game status to filter on. Value may be pending, started or completed
bestGame (boolean)
Whether to only fetch games that are marked as a "best game"
voided (boolean)
Set to true to included voided games
player (integer)
Player id of player to filter on.
Last updated